NetBSD その29

1名無しさん@お腹いっぱい。2014/03/14(金) 00:24:35.84
``Of course it runs NetBSD.''
_ノ⌒ゝ
\  ´-ヽ
 \ノ⌒ヽ
 NetBSD
    \
ttp://www.netbsd.org/

前スレ
NetBSD その28
http://toro.2ch.net/test/read.cgi/unix/1321305433/

467名無しさん@お腹いっぱい。2016/12/25(日) 21:18:54.92
UEFIにeMMCが対応するのは何時ですか?

468名無しさん@お腹いっぱい。2016/12/25(日) 21:34:52.23
何言ってんの?

469名無しさん@お腹いっぱい。2017/01/22(日) 20:26:58.76
NetBSDは安全なの?

470名無しさん@お腹いっぱい。2017/01/22(日) 20:39:10.49
お前にとっては何使っても危険だよ

471名無しさん@お腹いっぱい。2017/02/04(土) 16:56:01.26
NetBSDを勉強のために使ってみようと思っています。

そこで早速質問なのですが、 現在はNetBSD7.0.2が最新で、現在7.1RCが出ていますが、7.0.2をインストールしたあとで7.1がリリースされたらアップデートを行えるのでしょうか?
このバージョンのアップデートについて調べてもあまり情報が見つかりませんでした。

472名無しさん@お腹いっぱい。2017/02/04(土) 18:54:20.34
FreeBSDの方が無難だと思うけどね。

473名無しさん@お腹いっぱい。2017/02/04(土) 20:01:57.17
jorにポーティングしたときにわかったんだけど、display関連なんかはハードの知識がないとついて行けない。
わからなかったら、作っているやつにメールして、会話ができるレベルじゃないと、とてもムリ。

勉強、って言っているけれど、そこまでやる気があるのかどうか、だな。
日本向けにドライバ作ってくれ、って言われたりするかもね。

474名無しさん@お腹いっぱい。2017/02/04(土) 23:59:37.40
この辺に書いてあるんでは?
ttp://www.netbsd.org/docs/updating.html

475名無しさん@お腹いっぱい。2017/02/05(日) 00:02:29.71
ああ、ごめん、このバージョンでってことか。
でも、

If you are running a stable NetBSD release (such as NetBSD 6.1)

って、書いてあるからバージョンにあまり依存しないのでは?

4764712017/02/05(日) 08:48:02.36
ありがとうございます

そういった資料を見ていると、アップデートのためにはセルフ環境で最新版をビルドするという作業が必要になるということでしょうか?

イメージはバイナリで配布されているので、アップデートもUbuntuLinuxのようにバイナリでアップデートする方法がないものかと調べていました

477名無しさん@お腹いっぱい。2017/02/05(日) 17:29:55.41
FreeBSDですらパッケージ毎にバイナリアップデートできるようになったのは最近だ

新規リリースが出ればメディアからOSのアップデートはできた気もするけど
pkgまでは面倒見てくれないし、地雷除去もFreeBSDに比べて甘いと思う

楽したいならUbuntu使ってるほうがいんじゃね?Canonicalが箸の上げ下ろしやってくれるし

478名無しさん@お腹いっぱい。2017/02/07(火) 09:11:06.91
ソースうんぬんはセキュリティフィックスの話だよな。
外向けサービス動かしてない限り、あまり必要ないし、今聞かれてるのはOSのバージョン更新の話で、そっちなら昔からバイナリアップデートの仕組みはあるぞ。
ttps://www.netbsd.org/docs/guide/en/chap-upgrading.html

アップデート後、古い /etc が /etc.old に残るから etcupdate コマンド使って変更をマージするんだっけか。
俺は /etc はバージョン管理ツール使ってマージしてるから etcupdateはよく知らんのだが。

479名無しさん@お腹いっぱい。2017/02/07(火) 09:16:13.45
俺、普段使ってるマシンのOSのバージョンアップは最近はバイナリでやってるな。
current追っかけマシンは当然ソースからだけど。

まあBSDはいまだにソース文化なところがあるから、バイナリで楽したいならUbuntuでいいんじゃねえ?ってのも正しいとは思うが。

480名無しさん@お腹いっぱい。2017/02/07(火) 10:00:34.20
そうか、10年?15年?前からFreeBSDで portupgrade で依存関係まで追跡して
アプデできんじゃんとか思ったけど、あれ ports だったわ

481名無しさん@お腹いっぱい。2017/02/19(日) 21:07:41.54
それよりFirefoxのセキュリティ問題は解決した?
色々と繋がらない

482名無しさん@お腹いっぱい。2017/02/22(水) 09:01:00.87
どの問題?

483名無しさん@お腹いっぱい。2017/02/22(水) 21:06:06.03
firefox50以前のバージョンでgoogleやyoutubeに繋がらなくなる。
つまりリリース版全てが対象。
繋がるのはcurrentだけ?

484名無しさん@お腹いっぱい。2017/02/23(木) 10:01:28.40
>>483
よくわからんけど、www.amazon.co.jpとかwww.netbsd.orgが見えたり
www.freebsd.orgとかja.wikipedia.orgが見えなかったりするの?

485名無しさん@お腹いっぱい。2017/02/23(木) 10:21:19.02
バージョン51以前はGoogleがサポート切っただろ?

486名無しさん@お腹いっぱい。2017/02/23(木) 12:58:01.73
>>484
URL決め打ちすれば見れます。
検索エンジンは使えないですが

487名無しさん@お腹いっぱい。2017/02/23(木) 12:59:27.02
>>485
そうなんですよね。
諦めろと言われれば諦めるしかないです
やっぱりcurrentに入れ替えた方が良いですか

488名無しさん@お腹いっぱい。2017/02/23(木) 15:25:12.52
>>486
そうですか、HTTP/2とかTLSは詳しくないのにろくに調べもせず悪い例を挙げてすまない

489名無しさん@お腹いっぱい。2017/02/23(木) 21:09:52.29
これか?
pkg/51929: nss3.28 breaks firefox access to google
pkgsrc-current にしたら?

N-current は今問題あるから進めないけど

490名無しさん@お腹いっぱい。2017/02/24(金) 04:20:19.78
>>489
それす

491名無しさん@お腹いっぱい。2017/03/18(土) 01:18:47.21
NetBSD Projectは3月15日、最新安定版「NetBSD 7.1」をリリース

492名無しさん@お腹いっぱい。2017/03/26(日) 23:17:39.44
OpenBSDのureをportしてみた
http://pastebin.com/294y0AEP
SHA256 (if_ure.c) = 7241cd07ee59115a6f1874df6d451063ef5016c7e653e71bfe5b16231a537480
http://pastebin.com/2AZiNZY3
SHA256 (if_urereg.h) = 646c5facd197900c51ece1f84d29a119970ba4df49939a9d40c01d0f949e2aa7
行末CRLFだったら%s/^M$//で

493名無しさん@お腹いっぱい。2017/03/29(水) 00:21:43.55
>>492
send-prしてくれたら惚れる

494名無しさん@お腹いっぱい。2017/04/03(月) 23:46:35.19
Netbsdでpkgsrcからfirefoxを入れたらエラーが出たんだけどこういう場合の対処法ってどうするんだろうか
一々netbsd用にソースコードを書き換えてねってこと?
今は代わりにmidoriをビルドしてるけど
びっくりするほど時間がかかるな
つーかtopでみたらシングルコアしか使ってないっぽい?
とりあえずコンソールははアレなのでインストーラーの段階でx11とXDMをいれたらウィンドウマネージャーが指定されていないとか罠ですか?
仕方ないからコンソール画面に切り替えて.xsessionのファイルを作ってFVWMをビルドして入れたけどせめてデフォルトでtwmぐらい立ち上がってほしかったよ

495名無しさん@お腹いっぱい。2017/04/03(月) 23:59:09.07
デフォルトでwmが〜なら、OpenBSD使えばいい。

496名無しさん@お腹いっぱい。2017/04/04(火) 00:13:38.76
エラー?
依存性でひかかってるとかだろうか?
おいらは7.0だけど、NetBSD入れてから一連の流れで
pkgsrcから主要なパッケージ入れたらfirefoxも普通に入った
エラーの内容見ながら地道に調べるしかなさそうな気がする

497名無しさん@お腹いっぱい。2017/04/04(火) 00:23:50.27
>>493
こういうのって投げる前に誰か同じことをやってるか、やろうとしてるか
聞いたほうがいいのかと考えるなどしたがめんどくさくなってきた
ちなみにureはラズパイに入れたらフリーズしたのでデバッグしてる
>>494
まずはエラーを見てから考えるとしか
あと、export MAKE_JOBS=`sysctl -n hw.ncpu` を指定するのです

498名無しさん@お腹いっぱい。2017/04/04(火) 00:26:14.65
取りあえずinstallは完了したけどフォントをどうするかだな
droid-ttfで日本語表示は出来るようになった
いわゆる中華フォントだけどね

499名無しさん@お腹いっぱい。2017/04/04(火) 00:26:17.71
取りあえずinstallは完了したけどフォントをどうするかだな
droid-ttfで日本語表示は出来るようになった
いわゆる中華フォントだけどね

500名無しさん@お腹いっぱい。2017/04/04(火) 01:04:47.59
=> Full dependency lame>=3.98.2nb1: NOT found
=> Verifying reinstall for ../../audio/lame
ERROR: This package has set PKG_FAIL_REASON:
ERROR: lame-3.99.5nb3 has an unacceptable license condition:
ERROR: lame-license
ERROR: You can mark the license ``lame-license'' as acceptable by adding
ERROR: ACCEPTABLE_LICENSES+= lame-license
ERROR: to /etc/mk.conf or by adding
ERROR: ACCEPTABLE_LICENSES= lame-license
ERROR: to /etc/pkg_install.conf.
ERROR: The following command will show you the license text:
ERROR: /usr/bin/make show-license
*** Error code 1

Stop.
make[2]: stopped in /usr/pkgsrc/audio/lame
*** Error code 1

Stop.
make[1]: stopped in /usr/pkgsrc/multimedia/ffmpeg3
*** Error code 1

Stop.
make: stopped in /usr/pkgsrc/www/firefox

501名無しさん@お腹いっぱい。2017/04/04(火) 01:05:14.62
>>497
Firefoxはlameのライセンスの許諾部分ででこけていたみたいです
記述したらそこはちゃんと通りました

502名無しさん@お腹いっぱい。2017/04/04(火) 14:37:02.19
>>499
/usr/pkgsrc/fonts/ にある ipafont / ipaexfont ないし
takao-fonts-ttf / takao-ex-fonts-ttf あたりを入れて使えばいいのでは?
X の font path に /usr/pkg/share/fonts/X11/TTF を足すのを忘れずに。

あとは以下からお好みで
intlfonts
ja-elisat
ja-elisau
ja-kaname
ja-kappa20
ja-naga10
ja-sazanami-ttf
ja-shinonome
jisx0208fonts
jisx0212fonts
jisx0213fonts
kiloji-ttf
kochi-ttf
konatu-ttf
koruri-ttf
migu-ttf
misaki-fonts
monafonts
monafonts-ttf
motoya-fonts
noto-emoji-ttf
noto-ttf
umefont-ttf
vfontcap-kochi
vlgothic-ttf
watanabe_vfont

503名無しさん@お腹いっぱい。2017/10/01(日) 12:58:16.91
半年sage

504名無しさん@お腹いっぱい。2017/10/01(日) 18:59:16.45
変わらぬな、ネットキ、どのようなマイナーなマシンも見捨てぬ
美獲素手神拳中もっとも慈悲深き拳を持つ男よ。

505名無しさん@お腹いっぱい。2017/10/05(木) 00:25:39.66
luna88kのことか

506名無しさん@お腹いっぱい。2017/10/05(木) 20:31:54.38
どこもそうだけどARMにリソース使いすぎて他がおろそかになりがちだな

507名無しさん@お腹いっぱい。2017/10/13(金) 13:31:33.19
NetBSDって、最近活動してんの?

508名無しさん@お腹いっぱい。2017/10/13(金) 14:27:04.40
してますん

509名無しさん@お腹いっぱい。2017/12/29(金) 07:01:28.57
誰でも簡単にパソコン1台で稼げる方法など
参考までに、
⇒ 『宮本のゴウリエセレレ』 というブログで見ることができるらしいです。

グーグル検索⇒『宮本のゴウリエセレレ』

AI2XFG7HLS

510名無しさん@お腹いっぱい。2018/01/30(火) 18:39:21.92
もう誰もいないのかな・・・

511名無しさん@お腹いっぱい。2018/01/30(火) 21:29:02.99
いないよ

512名無しさん@お腹いっぱい。2018/01/30(火) 21:33:39.23
んだんだ

513名無しさん@お腹いっぱい。2018/02/14(水) 09:16:59.88
☆ 私たち日本人の、日本国憲法を改正しましょう。
『憲法改正国民投票法』

514名無しさん@お腹いっぱい。2018/02/15(木) 00:34:38.57
今、NetBSDで使えるプリンタって何がある?
対応してないの買っちゃったらダメポだからねぇ

515名無しさん@お腹いっぱい。2018/02/15(木) 02:28:54.38
ポストスクリプト食えるネットワークプリンタならなんでもいいんじゃね?

516名無しさん@お腹いっぱい。2018/02/15(木) 11:18:46.01
パッケージで導入した mysql55-client とか、php-7.1.11とか、denial-of-service vulnerability っていうレポートが毎日来るんだけど、
pkgsrc の current でも直ってないんだが、待つしかないの?

517名無しさん@お腹いっぱい。2018/02/15(木) 18:41:40.68
>>516
二度と送んなと電話する

新着レスの表示
レスを投稿する